# GimpUi.EnumComboBox

    const GimpUi = imports.gi.GimpUi;

    let enumComboBox = new GimpUi.EnumComboBox({
    });

A Gtk.ComboBox subclass for selecting an enum value.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Bin
          - Gtk.ComboBox
            - GimpUi.IntComboBox
              - GimpUi.EnumComboBox

## Constructors

- GimpUi.EnumComboBox.new
- GimpUi.EnumComboBox.new_with_model

## Methods

- GimpUi.EnumComboBox.prototype.set_icon_prefix

## Properties

- model